{
  "id": "14f09f46f9f78817e63ee143",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type IfNode",
  "content": "# type parse.type IfNode ¶\n\n```\ntype IfNode struct {\n\tBranchNode\n}\n```\n\nIfNode represents an {{if}} action and its commands.",
  "url": "https://pkg.go.dev/parse#type IfNode ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type IfNode ¶",
    "type_kind": "alias",
    "underlying": "type IfNode struct {\n\tBranchNode\n}"
  },
  "hash": "c18cf584f353544289b3eefa567c1d8c7b58f32cb30d0e8122c9a70e657c8a3e",
  "timestamp": "2026-02-23T11:22:10.617592987+01:00"
}